/*
 * Copyright 2016 - 2023 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#pragma once

#include <nostalgia/studio/studio.hpp>

namespace nostalgia::scene {

class StudioModule: public studio::Module {
	public:
		ox::Vector<studio::EditorMaker> editors(core::Context *ctx) noexcept override;
		ox::Vector<ox::UPtr<studio::ItemMaker>> itemMakers(core::Context*) noexcept override;
};

}
